org.apache.calcite.avatica.proto

## Interface Responses.ErrorResponseOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Responses.ErrorResponse, Responses.ErrorResponse.Builder

Enclosing class:
  Responses

    public static interface Responses.ErrorResponseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

Methods
`int` `getErrorCode()` numeric identifier for error
`String` `getErrorMessage()` human readable description
`com.google.protobuf.ByteString` `getErrorMessageBytes()` human readable description
`String` `getExceptions(int index)` exception stacktraces, many for linked exceptions.
`com.google.protobuf.ByteString` `getExceptionsBytes(int index)` exception stacktraces, many for linked exceptions.
`int` `getExceptionsCount()` exception stacktraces, many for linked exceptions.
`List<String>` `getExceptionsList()` exception stacktraces, many for linked exceptions.
`boolean` `getHasExceptions()` are there stacktraces contained?
`Responses.RpcMetadata` `getMetadata()` `optional .RpcMetadata metadata = 6;`
`Responses.RpcMetadataOrBuilder` `getMetadataOrBuilder()` `optional .RpcMetadata metadata = 6;`
`Common.Severity` `getSeverity()` `optional .Severity severity = 3;`
`int` `getSeverityValue()` `optional .Severity severity = 3;`
`String` `getSqlState()` five-character standard-defined value
`com.google.protobuf.ByteString` `getSqlStateBytes()` five-character standard-defined value
`boolean` `hasMetadata()` `optional .RpcMetadata metadata = 6;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getExceptionsList

    List<String> getExceptionsList()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptionsCount

    int getExceptionsCount()

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptions

    String getExceptions(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getExceptionsBytes

    com.google.protobuf.ByteString getExceptionsBytes(int index)

     exception stacktraces, many for linked exceptions.

`repeated string exceptions = 1;`

#### getHasExceptions

    boolean getHasExceptions()

     are there stacktraces contained?

`optional bool has_exceptions = 7;`

#### getErrorMessage

    String getErrorMessage()

     human readable description

`optional string error_message = 2;`

#### getErrorMessageBytes

    com.google.protobuf.ByteString getErrorMessageBytes()

     human readable description

`optional string error_message = 2;`

#### getSeverityValue

    int getSeverityValue()

`optional .Severity severity = 3;`

#### getSeverity

    Common.Severity getSeverity()

`optional .Severity severity = 3;`

#### getErrorCode

    int getErrorCode()

     numeric identifier for error

`optional uint32 error_code = 4;`

#### getSqlState

    String getSqlState()

     five-character standard-defined value

`optional string sql_state = 5;`

#### getSqlStateBytes

    com.google.protobuf.ByteString getSqlStateBytes()

     five-character standard-defined value

`optional string sql_state = 5;`

#### hasMetadata

    boolean hasMetadata()

`optional .RpcMetadata metadata = 6;`

#### getMetadata

    Responses.RpcMetadata getMetadata()

`optional .RpcMetadata metadata = 6;`

#### getMetadataOrBuilder

    Responses.RpcMetadataOrBuilder getMetadataOrBuilder()

`optional .RpcMetadata metadata = 6;`